﻿namespace MimeTypeList.MimeTypeNamespaces
{
    /// <summary> Application mime type namespace. </summary>
    public class ApplicationMimeType
    {
        /// <summary> application/fsharp-script </summary>
        public readonly string fsharp_script = ".fsx";

        /// <summary> application/msaccess </summary>
        public readonly string msaccess = ".adp";

        /// <summary> application/msword </summary>
        public readonly string msword = ".doc";

        /// <summary> application/octet-stream </summary>
        public readonly string octet_stream = ".bin";

        /// <summary> application/onenote </summary>
        public readonly string onenote = ".one";

        /// <summary> application/postscript </summary>
        public readonly string postscript = ".eps";

        /// <summary> application/step </summary>
        public readonly string step = ".step";

        /// <summary> application/vnd.ms-excel </summary>
        public readonly string vnd_ms_excel = ".xls";

        /// <summary> application/vnd.ms-powerpoint </summary>
        public readonly string vnd_ms_powerpoint = ".ppt";

        /// <summary> application/vnd.ms-works </summary>
        public readonly string vnd_ms_works = ".wks";

        /// <summary> application/vnd.visio </summary>
        public readonly string vnd_visio = ".vsd";

        /// <summary> application/x-director </summary>
        public readonly string x_director = ".dir";

        /// <summary> application/x-shockwave-flash </summary>
        public readonly string x_shockwave_flash = ".swf";

        /// <summary> application/x-x509-ca-cert </summary>
        public readonly string x_x509_ca_cert = ".cer";

        /// <summary> application/x-zip-compressed </summary>
        public readonly string x_zip_compressed = ".zip";

        /// <summary> application/xhtml+xml </summary>
        public readonly string xhtml_xml = ".xhtml";

        /// <summary> application/xml </summary>
        public readonly string xml = ".xml";

        /// <summary> Internal default constructor. </summary>
        internal ApplicationMimeType()
        {
            //
        }
    }
}