﻿namespace MimeTypeList
{
    /// <summary> A list of mime types referenced by extension. </summary>
    public class FileExtensions
    {
        /// <summary> *.3gp2 </summary>
        public static readonly string _3gp2 = "video/3gpp2";

        /// <summary> *.3gpp </summary>
        public static readonly string _3gpp = "video/3gpp";

        /// <summary> *.7z </summary>
        public static readonly string _7z = "application/x-7z-compressed";

        /// <summary> *.aa </summary>
        public static readonly string _aa = "audio/audible";

        /// <summary> *.AAC </summary>
        public static readonly string _AAC = "audio/aac";

        /// <summary> *.aaf </summary>
        public static readonly string _aaf = "application/octet-stream";

        /// <summary> *.aax </summary>
        public static readonly string _aax = "audio/vnd.audible.aax";

        /// <summary> *.ac3 </summary>
        public static readonly string _ac3 = "audio/ac3";

        /// <summary> *.aca </summary>
        public static readonly string _aca = "application/octet-stream";

        /// <summary> *.accda </summary>
        public static readonly string _accda = "application/msaccess.addin";

        /// <summary> *.accdb </summary>
        public static readonly string _accdb = "application/msaccess";

        /// <summary> *.accdc </summary>
        public static readonly string _accdc = "application/msaccess.cab";

        /// <summary> *.accde </summary>
        public static readonly string _accde = "application/msaccess";

        /// <summary> *.accdr </summary>
        public static readonly string _accdr = "application/msaccess.runtime";

        /// <summary> *.accdt </summary>
        public static readonly string _accdt = "application/msaccess";

        /// <summary> *.accdw </summary>
        public static readonly string _accdw = "application/msaccess.webapplication";

        /// <summary> *.accft </summary>
        public static readonly string _accft = "application/msaccess.ftemplate";

        /// <summary> *.acx </summary>
        public static readonly string _acx = "application/internet-property-stream";

        /// <summary> *.AddIn </summary>
        public static readonly string _AddIn = "text/xml";

        /// <summary> *.ade </summary>
        public static readonly string _ade = "application/msaccess";

        /// <summary> *.adobebridge </summary>
        public static readonly string _adobebridge = "application/x-bridge-url";

        /// <summary> *.adp </summary>
        public static readonly string _adp = "application/msaccess";

        /// <summary> *.ADT </summary>
        public static readonly string _ADT = "audio/vnd.dlna.adts";

        /// <summary> *.ADTS </summary>
        public static readonly string _ADTS = "audio/aac";

        /// <summary> *.afm </summary>
        public static readonly string _afm = "application/octet-stream";

        /// <summary> *.ai </summary>
        public static readonly string _ai = "application/postscript";

        /// <summary> *.aif </summary>
        public static readonly string _aif = "audio/aiff";

        /// <summary> *.aifc </summary>
        public static readonly string _aifc = "audio/aiff";

        /// <summary> *.aiff </summary>
        public static readonly string _aiff = "audio/aiff";

        /// <summary> *.air </summary>
        public static readonly string _air = "application/vnd.adobe.air-application-installer-package+zip";

        /// <summary> *.amc </summary>
        public static readonly string _amc = "application/mpeg";

        /// <summary> *.anx </summary>
        public static readonly string _anx = "application/annodex";

        /// <summary> *.apk </summary>
        public static readonly string _apk = "application/vnd.android.package-archive";

        /// <summary> *.application </summary>
        public static readonly string _application = "application/x-ms-application";

        /// <summary> *.art </summary>
        public static readonly string _art = "image/x-jg";

        /// <summary> *.asa </summary>
        public static readonly string _asa = "application/xml";

        /// <summary> *.asax </summary>
        public static readonly string _asax = "application/xml";

        /// <summary> *.ascx </summary>
        public static readonly string _ascx = "application/xml";

        /// <summary> *.asd </summary>
        public static readonly string _asd = "application/octet-stream";

        /// <summary> *.asf </summary>
        public static readonly string _asf = "video/x-ms-asf";

        /// <summary> *.ashx </summary>
        public static readonly string _ashx = "application/xml";

        /// <summary> *.asi </summary>
        public static readonly string _asi = "application/octet-stream";

        /// <summary> *.asm </summary>
        public static readonly string _asm = "text/plain";

        /// <summary> *.asmx </summary>
        public static readonly string _asmx = "application/xml";

        /// <summary> *.aspx </summary>
        public static readonly string _aspx = "application/xml";

        /// <summary> *.asr </summary>
        public static readonly string _asr = "video/x-ms-asf";

        /// <summary> *.asx </summary>
        public static readonly string _asx = "video/x-ms-asf";

        /// <summary> *.atom </summary>
        public static readonly string _atom = "application/atom+xml";

        /// <summary> *.au </summary>
        public static readonly string _au = "audio/basic";

        /// <summary> *.avi </summary>
        public static readonly string _avi = "video/x-msvideo";

        /// <summary> *.axa </summary>
        public static readonly string _axa = "audio/annodex";

        /// <summary> *.axs </summary>
        public static readonly string _axs = "application/olescript";

        /// <summary> *.axv </summary>
        public static readonly string _axv = "video/annodex";

        /// <summary> *.bas </summary>
        public static readonly string _bas = "text/plain";

        /// <summary> *.bcpio </summary>
        public static readonly string _bcpio = "application/x-bcpio";

        /// <summary> *.bin </summary>
        public static readonly string _bin = "application/octet-stream";

        /// <summary> *.bmp </summary>
        public static readonly string _bmp = "image/bmp";

        /// <summary> *.c </summary>
        public static readonly string _c = "text/plain";

        /// <summary> *.cab </summary>
        public static readonly string _cab = "application/octet-stream";

        /// <summary> *.caf </summary>
        public static readonly string _caf = "audio/x-caf";

        /// <summary> *.calx </summary>
        public static readonly string _calx = "application/vnd.ms-office.calx";

        /// <summary> *.cat </summary>
        public static readonly string _cat = "application/vnd.ms-pki.seccat";

        /// <summary> *.cc </summary>
        public static readonly string _cc = "text/plain";

        /// <summary> *.cd </summary>
        public static readonly string _cd = "text/plain";

        /// <summary> *.cdda </summary>
        public static readonly string _cdda = "audio/aiff";

        /// <summary> *.cdf </summary>
        public static readonly string _cdf = "application/x-cdf";

        /// <summary> *.cer </summary>
        public static readonly string _cer = "application/x-x509-ca-cert";

        /// <summary> *.cfg </summary>
        public static readonly string _cfg = "text/plain";

        /// <summary> *.chm </summary>
        public static readonly string _chm = "application/octet-stream";

        /// <summary> *.class </summary>
        public static readonly string _class = "application/x-java-applet";

        /// <summary> *.clp </summary>
        public static readonly string _clp = "application/x-msclip";

        /// <summary> *.cmd </summary>
        public static readonly string _cmd = "text/plain";

        /// <summary> *.cmx </summary>
        public static readonly string _cmx = "image/x-cmx";

        /// <summary> *.cnf </summary>
        public static readonly string _cnf = "text/plain";

        /// <summary> *.cod </summary>
        public static readonly string _cod = "image/cis-cod";

        /// <summary> *.config </summary>
        public static readonly string _config = "application/xml";

        /// <summary> *.contact </summary>
        public static readonly string _contact = "text/x-ms-contact";

        /// <summary> *.coverage </summary>
        public static readonly string _coverage = "application/xml";

        /// <summary> *.cpio </summary>
        public static readonly string _cpio = "application/x-cpio";

        /// <summary> *.cpp </summary>
        public static readonly string _cpp = "text/plain";

        /// <summary> *.crd </summary>
        public static readonly string _crd = "application/x-mscardfile";

        /// <summary> *.crl </summary>
        public static readonly string _crl = "application/pkix-crl";

        /// <summary> *.crt </summary>
        public static readonly string _crt = "application/x-x509-ca-cert";

        /// <summary> *.cs </summary>
        public static readonly string _cs = "text/plain";

        /// <summary> *.csdproj </summary>
        public static readonly string _csdproj = "text/plain";

        /// <summary> *.csh </summary>
        public static readonly string _csh = "application/x-csh";

        /// <summary> *.csproj </summary>
        public static readonly string _csproj = "text/plain";

        /// <summary> *.css </summary>
        public static readonly string _css = "text/css";

        /// <summary> *.csv </summary>
        public static readonly string _csv = "text/csv";

        /// <summary> *.cur </summary>
        public static readonly string _cur = "application/octet-stream";

        /// <summary> *.cxx </summary>
        public static readonly string _cxx = "text/plain";

        /// <summary> *.dat </summary>
        public static readonly string _dat = "application/octet-stream";

        /// <summary> *.datasource </summary>
        public static readonly string _datasource = "application/xml";

        /// <summary> *.dbproj </summary>
        public static readonly string _dbproj = "text/plain";

        /// <summary> *.dcr </summary>
        public static readonly string _dcr = "application/x-director";

        /// <summary> *.def </summary>
        public static readonly string _def = "text/plain";

        /// <summary> *.deploy </summary>
        public static readonly string _deploy = "application/octet-stream";

        /// <summary> *.der </summary>
        public static readonly string _der = "application/x-x509-ca-cert";

        /// <summary> *.dgml </summary>
        public static readonly string _dgml = "application/xml";

        /// <summary> *.dib </summary>
        public static readonly string _dib = "image/bmp";

        /// <summary> *.dif </summary>
        public static readonly string _dif = "video/x-dv";

        /// <summary> *.dir </summary>
        public static readonly string _dir = "application/x-director";

        /// <summary> *.disco </summary>
        public static readonly string _disco = "text/xml";

        /// <summary> *.divx </summary>
        public static readonly string _divx = "video/divx";

        /// <summary> *.dll </summary>
        public static readonly string _dll = "application/x-msdownload";

        /// <summary> *.dll.config </summary>
        public static readonly string _dll_config = "text/xml";

        /// <summary> *.dlm </summary>
        public static readonly string _dlm = "text/dlm";

        /// <summary> *.doc </summary>
        public static readonly string _doc = "application/msword";

        /// <summary> *.docm </summary>
        public static readonly string _docm = "application/vnd.ms-word.document.macroEnabled.12";

        /// <summary> *.docx </summary>
        public static readonly string _docx = "application/vnd.openxmlformats-officedocument.wordprocessingml.document";

        /// <summary> *.dot </summary>
        public static readonly string _dot = "application/msword";

        /// <summary> *.dotm </summary>
        public static readonly string _dotm = "application/vnd.ms-word.template.macroEnabled.12";

        /// <summary> *.dotx </summary>
        public static readonly string _dotx = "application/vnd.openxmlformats-officedocument.wordprocessingml.template";

        /// <summary> *.dsp </summary>
        public static readonly string _dsp = "application/octet-stream";

        /// <summary> *.dsw </summary>
        public static readonly string _dsw = "text/plain";

        /// <summary> *.dtd </summary>
        public static readonly string _dtd = "text/xml";

        /// <summary> *.dtsConfig </summary>
        public static readonly string _dtsConfig = "text/xml";

        /// <summary> *.dv </summary>
        public static readonly string _dv = "video/x-dv";

        /// <summary> *.dvi </summary>
        public static readonly string _dvi = "application/x-dvi";

        /// <summary> *.dwf </summary>
        public static readonly string _dwf = "drawing/x-dwf";

        /// <summary> *.dwg </summary>
        public static readonly string _dwg = "application/acad";

        /// <summary> *.dwp </summary>
        public static readonly string _dwp = "application/octet-stream";

        /// <summary> *.dxf </summary>
        public static readonly string _dxf = "application/x-dxf";

        /// <summary> *.dxr </summary>
        public static readonly string _dxr = "application/x-director";

        /// <summary> *.eml </summary>
        public static readonly string _eml = "message/rfc822";

        /// <summary> *.emz </summary>
        public static readonly string _emz = "application/octet-stream";

        /// <summary> *.eot </summary>
        public static readonly string _eot = "application/vnd.ms-fontobject";

        /// <summary> *.eps </summary>
        public static readonly string _eps = "application/postscript";

        /// <summary> *.es </summary>
        public static readonly string _es = "application/ecmascript";

        /// <summary> *.etl </summary>
        public static readonly string _etl = "application/etl";

        /// <summary> *.etx </summary>
        public static readonly string _etx = "text/x-setext";

        /// <summary> *.evy </summary>
        public static readonly string _evy = "application/envoy";

        /// <summary> *.exe </summary>
        public static readonly string _exe = "application/octet-stream";

        /// <summary> *.exe.config </summary>
        public static readonly string _exe_config = "text/xml";

        /// <summary> *.fdf </summary>
        public static readonly string _fdf = "application/vnd.fdf";

        /// <summary> *.fif </summary>
        public static readonly string _fif = "application/fractals";

        /// <summary> *.filters </summary>
        public static readonly string _filters = "application/xml";

        /// <summary> *.fla </summary>
        public static readonly string _fla = "application/octet-stream";

        /// <summary> *.flac </summary>
        public static readonly string _flac = "audio/flac";

        /// <summary> *.flr </summary>
        public static readonly string _flr = "x-world/x-vrml";

        /// <summary> *.flv </summary>
        public static readonly string _flv = "video/x-flv";

        /// <summary> *.fsscript </summary>
        public static readonly string _fsscript = "application/fsharp-script";

        /// <summary> *.fsx </summary>
        public static readonly string _fsx = "application/fsharp-script";

        /// <summary> *.generictest </summary>
        public static readonly string _generictest = "application/xml";

        /// <summary> *.gif </summary>
        public static readonly string _gif = "image/gif";

        /// <summary> *.gpx </summary>
        public static readonly string _gpx = "application/gpx+xml";

        /// <summary> *.group </summary>
        public static readonly string _group = "text/x-ms-group";

        /// <summary> *.gsm </summary>
        public static readonly string _gsm = "audio/x-gsm";

        /// <summary> *.gtar </summary>
        public static readonly string _gtar = "application/x-gtar";

        /// <summary> *.gz </summary>
        public static readonly string _gz = "application/x-gzip";

        /// <summary> *.h </summary>
        public static readonly string _h = "text/plain";

        /// <summary> *.hdf </summary>
        public static readonly string _hdf = "application/x-hdf";

        /// <summary> *.hdml </summary>
        public static readonly string _hdml = "text/x-hdml";

        /// <summary> *.hhc </summary>
        public static readonly string _hhc = "application/x-oleobject";

        /// <summary> *.hhk </summary>
        public static readonly string _hhk = "application/octet-stream";

        /// <summary> *.hhp </summary>
        public static readonly string _hhp = "application/octet-stream";

        /// <summary> *.hlp </summary>
        public static readonly string _hlp = "application/winhlp";

        /// <summary> *.hpp </summary>
        public static readonly string _hpp = "text/plain";

        /// <summary> *.hqx </summary>
        public static readonly string _hqx = "application/mac-binhex40";

        /// <summary> *.hta </summary>
        public static readonly string _hta = "application/hta";

        /// <summary> *.htc </summary>
        public static readonly string _htc = "text/x-component";

        /// <summary> *.htm </summary>
        public static readonly string _htm = "text/html";

        /// <summary> *.html </summary>
        public static readonly string _html = "text/html";

        /// <summary> *.htt </summary>
        public static readonly string _htt = "text/webviewhtml";

        /// <summary> *.hxa </summary>
        public static readonly string _hxa = "application/xml";

        /// <summary> *.hxc </summary>
        public static readonly string _hxc = "application/xml";

        /// <summary> *.hxd </summary>
        public static readonly string _hxd = "application/octet-stream";

        /// <summary> *.hxe </summary>
        public static readonly string _hxe = "application/xml";

        /// <summary> *.hxf </summary>
        public static readonly string _hxf = "application/xml";

        /// <summary> *.hxh </summary>
        public static readonly string _hxh = "application/octet-stream";

        /// <summary> *.hxi </summary>
        public static readonly string _hxi = "application/octet-stream";

        /// <summary> *.hxk </summary>
        public static readonly string _hxk = "application/xml";

        /// <summary> *.hxq </summary>
        public static readonly string _hxq = "application/octet-stream";

        /// <summary> *.hxr </summary>
        public static readonly string _hxr = "application/octet-stream";

        /// <summary> *.hxs </summary>
        public static readonly string _hxs = "application/octet-stream";

        /// <summary> *.hxt </summary>
        public static readonly string _hxt = "text/html";

        /// <summary> *.hxv </summary>
        public static readonly string _hxv = "application/xml";

        /// <summary> *.hxw </summary>
        public static readonly string _hxw = "application/octet-stream";

        /// <summary> *.hxx </summary>
        public static readonly string _hxx = "text/plain";

        /// <summary> *.i </summary>
        public static readonly string _i = "text/plain";

        /// <summary> *.ico </summary>
        public static readonly string _ico = "image/x-icon";

        /// <summary> *.ics </summary>
        public static readonly string _ics = "application/octet-stream";

        /// <summary> *.idl </summary>
        public static readonly string _idl = "text/plain";

        /// <summary> *.ief </summary>
        public static readonly string _ief = "image/ief";

        /// <summary> *.iii </summary>
        public static readonly string _iii = "application/x-iphone";

        /// <summary> *.inc </summary>
        public static readonly string _inc = "text/plain";

        /// <summary> *.inf </summary>
        public static readonly string _inf = "application/octet-stream";

        /// <summary> *.ini </summary>
        public static readonly string _ini = "text/plain";

        /// <summary> *.inl </summary>
        public static readonly string _inl = "text/plain";

        /// <summary> *.ins </summary>
        public static readonly string _ins = "application/x-internet-signup";

        /// <summary> *.ipa </summary>
        public static readonly string _ipa = "application/x-itunes-ipa";

        /// <summary> *.ipg </summary>
        public static readonly string _ipg = "application/x-itunes-ipg";

        /// <summary> *.ipproj </summary>
        public static readonly string _ipproj = "text/plain";

        /// <summary> *.ipsw </summary>
        public static readonly string _ipsw = "application/x-itunes-ipsw";

        /// <summary> *.iqy </summary>
        public static readonly string _iqy = "text/x-ms-iqy";

        /// <summary> *.isp </summary>
        public static readonly string _isp = "application/x-internet-signup";

        /// <summary> *.ite </summary>
        public static readonly string _ite = "application/x-itunes-ite";

        /// <summary> *.itlp </summary>
        public static readonly string _itlp = "application/x-itunes-itlp";

        /// <summary> *.itms </summary>
        public static readonly string _itms = "application/x-itunes-itms";

        /// <summary> *.itpc </summary>
        public static readonly string _itpc = "application/x-itunes-itpc";

        /// <summary> *.IVF </summary>
        public static readonly string _IVF = "video/x-ivf";

        /// <summary> *.jar </summary>
        public static readonly string _jar = "application/java-archive";

        /// <summary> *.java </summary>
        public static readonly string _java = "application/octet-stream";

        /// <summary> *.jck </summary>
        public static readonly string _jck = "application/liquidmotion";

        /// <summary> *.jcz </summary>
        public static readonly string _jcz = "application/liquidmotion";

        /// <summary> *.jfif </summary>
        public static readonly string _jfif = "image/pjpeg";

        /// <summary> *.jnlp </summary>
        public static readonly string _jnlp = "application/x-java-jnlp-file";

        /// <summary> *.jpb </summary>
        public static readonly string _jpb = "application/octet-stream";

        /// <summary> *.jpe </summary>
        public static readonly string _jpe = "image/jpeg";

        /// <summary> *.jpeg </summary>
        public static readonly string _jpeg = "image/jpeg";

        /// <summary> *.jpg </summary>
        public static readonly string _jpg = "image/jpeg";

        /// <summary> *.js </summary>
        public static readonly string _js = "application/javascript";

        /// <summary> *.json </summary>
        public static readonly string _json = "application/json";

        /// <summary> *.jsx </summary>
        public static readonly string _jsx = "text/jscript";

        /// <summary> *.jsxbin </summary>
        public static readonly string _jsxbin = "text/plain";

        /// <summary> *.latex </summary>
        public static readonly string _latex = "application/x-latex";

        /// <summary> *.library-ms </summary>
        public static readonly string _library_ms = "application/windows-library+xml";

        /// <summary> *.lit </summary>
        public static readonly string _lit = "application/x-ms-reader";

        /// <summary> *.loadtest </summary>
        public static readonly string _loadtest = "application/xml";

        /// <summary> *.lpk </summary>
        public static readonly string _lpk = "application/octet-stream";

        /// <summary> *.lsf </summary>
        public static readonly string _lsf = "video/x-la-asf";

        /// <summary> *.lst </summary>
        public static readonly string _lst = "text/plain";

        /// <summary> *.lsx </summary>
        public static readonly string _lsx = "video/x-la-asf";

        /// <summary> *.lzh </summary>
        public static readonly string _lzh = "application/octet-stream";

        /// <summary> *.m13 </summary>
        public static readonly string _m13 = "application/x-msmediaview";

        /// <summary> *.m14 </summary>
        public static readonly string _m14 = "application/x-msmediaview";

        /// <summary> *.m1v </summary>
        public static readonly string _m1v = "video/mpeg";

        /// <summary> *.m2t </summary>
        public static readonly string _m2t = "video/vnd.dlna.mpeg-tts";

        /// <summary> *.m2ts </summary>
        public static readonly string _m2ts = "video/vnd.dlna.mpeg-tts";

        /// <summary> *.m2v </summary>
        public static readonly string _m2v = "video/mpeg";

        /// <summary> *.m3u </summary>
        public static readonly string _m3u = "audio/x-mpegurl";

        /// <summary> *.m3u8 </summary>
        public static readonly string _m3u8 = "audio/x-mpegurl";

        /// <summary> *.m4a </summary>
        public static readonly string _m4a = "audio/m4a";

        /// <summary> *.m4b </summary>
        public static readonly string _m4b = "audio/m4b";

        /// <summary> *.m4p </summary>
        public static readonly string _m4p = "audio/m4p";

        /// <summary> *.m4r </summary>
        public static readonly string _m4r = "audio/x-m4r";

        /// <summary> *.m4v </summary>
        public static readonly string _m4v = "video/x-m4v";

        /// <summary> *.mac </summary>
        public static readonly string _mac = "image/x-macpaint";

        /// <summary> *.mak </summary>
        public static readonly string _mak = "text/plain";

        /// <summary> *.man </summary>
        public static readonly string _man = "application/x-troff-man";

        /// <summary> *.manifest </summary>
        public static readonly string _manifest = "application/x-ms-manifest";

        /// <summary> *.map </summary>
        public static readonly string _map = "text/plain";

        /// <summary> *.master </summary>
        public static readonly string _master = "application/xml";

        /// <summary> *.mbox </summary>
        public static readonly string _mbox = "application/mbox";

        /// <summary> *.mda </summary>
        public static readonly string _mda = "application/msaccess";

        /// <summary> *.mdb </summary>
        public static readonly string _mdb = "application/x-msaccess";

        /// <summary> *.mde </summary>
        public static readonly string _mde = "application/msaccess";

        /// <summary> *.mdp </summary>
        public static readonly string _mdp = "application/octet-stream";

        /// <summary> *.me </summary>
        public static readonly string _me = "application/x-troff-me";

        /// <summary> *.mfp </summary>
        public static readonly string _mfp = "application/x-shockwave-flash";

        /// <summary> *.mht </summary>
        public static readonly string _mht = "message/rfc822";

        /// <summary> *.mhtml </summary>
        public static readonly string _mhtml = "message/rfc822";

        /// <summary> *.mid </summary>
        public static readonly string _mid = "audio/mid";

        /// <summary> *.midi </summary>
        public static readonly string _midi = "audio/mid";

        /// <summary> *.mix </summary>
        public static readonly string _mix = "application/octet-stream";

        /// <summary> *.mk </summary>
        public static readonly string _mk = "text/plain";

        /// <summary> *.mk3d </summary>
        public static readonly string _mk3d = "video/x-matroska-3d";

        /// <summary> *.mka </summary>
        public static readonly string _mka = "audio/x-matroska";

        /// <summary> *.mkv </summary>
        public static readonly string _mkv = "video/x-matroska";

        /// <summary> *.mmf </summary>
        public static readonly string _mmf = "application/x-smaf";

        /// <summary> *.mno </summary>
        public static readonly string _mno = "text/xml";

        /// <summary> *.mny </summary>
        public static readonly string _mny = "application/x-msmoney";

        /// <summary> *.mod </summary>
        public static readonly string _mod = "video/mpeg";

        /// <summary> *.mov </summary>
        public static readonly string _mov = "video/quicktime";

        /// <summary> *.movie </summary>
        public static readonly string _movie = "video/x-sgi-movie";

        /// <summary> *.mp2 </summary>
        public static readonly string _mp2 = "video/mpeg";

        /// <summary> *.mp2v </summary>
        public static readonly string _mp2v = "video/mpeg";

        /// <summary> *.mp3 </summary>
        public static readonly string _mp3 = "audio/mpeg";

        /// <summary> *.mp4 </summary>
        public static readonly string _mp4 = "video/mp4";

        /// <summary> *.mp4v </summary>
        public static readonly string _mp4v = "video/mp4";

        /// <summary> *.mpa </summary>
        public static readonly string _mpa = "video/mpeg";

        /// <summary> *.mpe </summary>
        public static readonly string _mpe = "video/mpeg";

        /// <summary> *.mpeg </summary>
        public static readonly string _mpeg = "video/mpeg";

        /// <summary> *.mpf </summary>
        public static readonly string _mpf = "application/vnd.ms-mediapackage";

        /// <summary> *.mpg </summary>
        public static readonly string _mpg = "video/mpeg";

        /// <summary> *.mpp </summary>
        public static readonly string _mpp = "application/vnd.ms-project";

        /// <summary> *.mpv2 </summary>
        public static readonly string _mpv2 = "video/mpeg";

        /// <summary> *.mqv </summary>
        public static readonly string _mqv = "video/quicktime";

        /// <summary> *.ms </summary>
        public static readonly string _ms = "application/x-troff-ms";

        /// <summary> *.msg </summary>
        public static readonly string _msg = "application/vnd.ms-outlook";

        /// <summary> *.msi </summary>
        public static readonly string _msi = "application/octet-stream";

        /// <summary> *.mso </summary>
        public static readonly string _mso = "application/octet-stream";

        /// <summary> *.mts </summary>
        public static readonly string _mts = "video/vnd.dlna.mpeg-tts";

        /// <summary> *.mtx </summary>
        public static readonly string _mtx = "application/xml";

        /// <summary> *.mvb </summary>
        public static readonly string _mvb = "application/x-msmediaview";

        /// <summary> *.mvc </summary>
        public static readonly string _mvc = "application/x-miva-compiled";

        /// <summary> *.mxp </summary>
        public static readonly string _mxp = "application/x-mmxp";

        /// <summary> *.nc </summary>
        public static readonly string _nc = "application/x-netcdf";

        /// <summary> *.nsc </summary>
        public static readonly string _nsc = "video/x-ms-asf";

        /// <summary> *.nws </summary>
        public static readonly string _nws = "message/rfc822";

        /// <summary> *.ocx </summary>
        public static readonly string _ocx = "application/octet-stream";

        /// <summary> *.oda </summary>
        public static readonly string _oda = "application/oda";

        /// <summary> *.odb </summary>
        public static readonly string _odb = "application/vnd.oasis.opendocument.database";

        /// <summary> *.odc </summary>
        public static readonly string _odc = "application/vnd.oasis.opendocument.chart";

        /// <summary> *.odf </summary>
        public static readonly string _odf = "application/vnd.oasis.opendocument.formula";

        /// <summary> *.odg </summary>
        public static readonly string _odg = "application/vnd.oasis.opendocument.graphics";

        /// <summary> *.odh </summary>
        public static readonly string _odh = "text/plain";

        /// <summary> *.odi </summary>
        public static readonly string _odi = "application/vnd.oasis.opendocument.image";

        /// <summary> *.odl </summary>
        public static readonly string _odl = "text/plain";

        /// <summary> *.odm </summary>
        public static readonly string _odm = "application/vnd.oasis.opendocument.text-master";

        /// <summary> *.odp </summary>
        public static readonly string _odp = "application/vnd.oasis.opendocument.presentation";

        /// <summary> *.ods </summary>
        public static readonly string _ods = "application/vnd.oasis.opendocument.spreadsheet";

        /// <summary> *.odt </summary>
        public static readonly string _odt = "application/vnd.oasis.opendocument.text";

        /// <summary> *.oga </summary>
        public static readonly string _oga = "audio/ogg";

        /// <summary> *.ogg </summary>
        public static readonly string _ogg = "audio/ogg";

        /// <summary> *.ogv </summary>
        public static readonly string _ogv = "video/ogg";

        /// <summary> *.ogx </summary>
        public static readonly string _ogx = "application/ogg";

        /// <summary> *.one </summary>
        public static readonly string _one = "application/onenote";

        /// <summary> *.onea </summary>
        public static readonly string _onea = "application/onenote";

        /// <summary> *.onepkg </summary>
        public static readonly string _onepkg = "application/onenote";

        /// <summary> *.onetmp </summary>
        public static readonly string _onetmp = "application/onenote";

        /// <summary> *.onetoc </summary>
        public static readonly string _onetoc = "application/onenote";

        /// <summary> *.onetoc2 </summary>
        public static readonly string _onetoc2 = "application/onenote";

        /// <summary> *.opus </summary>
        public static readonly string _opus = "audio/ogg";

        /// <summary> *.orderedtest </summary>
        public static readonly string _orderedtest = "application/xml";

        /// <summary> *.osdx </summary>
        public static readonly string _osdx = "application/opensearchdescription+xml";

        /// <summary> *.otf </summary>
        public static readonly string _otf = "application/font-sfnt";

        /// <summary> *.otg </summary>
        public static readonly string _otg = "application/vnd.oasis.opendocument.graphics-template";

        /// <summary> *.oth </summary>
        public static readonly string _oth = "application/vnd.oasis.opendocument.text-web";

        /// <summary> *.otp </summary>
        public static readonly string _otp = "application/vnd.oasis.opendocument.presentation-template";

        /// <summary> *.ots </summary>
        public static readonly string _ots = "application/vnd.oasis.opendocument.spreadsheet-template";

        /// <summary> *.ott </summary>
        public static readonly string _ott = "application/vnd.oasis.opendocument.text-template";

        /// <summary> *.oxt </summary>
        public static readonly string _oxt = "application/vnd.openofficeorg.extension";

        /// <summary> *.p10 </summary>
        public static readonly string _p10 = "application/pkcs10";

        /// <summary> *.p12 </summary>
        public static readonly string _p12 = "application/x-pkcs12";

        /// <summary> *.p7b </summary>
        public static readonly string _p7b = "application/x-pkcs7-certificates";

        /// <summary> *.p7c </summary>
        public static readonly string _p7c = "application/pkcs7-mime";

        /// <summary> *.p7m </summary>
        public static readonly string _p7m = "application/pkcs7-mime";

        /// <summary> *.p7r </summary>
        public static readonly string _p7r = "application/x-pkcs7-certreqresp";

        /// <summary> *.p7s </summary>
        public static readonly string _p7s = "application/pkcs7-signature";

        /// <summary> *.pbm </summary>
        public static readonly string _pbm = "image/x-portable-bitmap";

        /// <summary> *.pcast </summary>
        public static readonly string _pcast = "application/x-podcast";

        /// <summary> *.pct </summary>
        public static readonly string _pct = "image/pict";

        /// <summary> *.pcx </summary>
        public static readonly string _pcx = "application/octet-stream";

        /// <summary> *.pcz </summary>
        public static readonly string _pcz = "application/octet-stream";

        /// <summary> *.pdf </summary>
        public static readonly string _pdf = "application/pdf";

        /// <summary> *.pfb </summary>
        public static readonly string _pfb = "application/octet-stream";

        /// <summary> *.pfm </summary>
        public static readonly string _pfm = "application/octet-stream";

        /// <summary> *.pfx </summary>
        public static readonly string _pfx = "application/x-pkcs12";

        /// <summary> *.pgm </summary>
        public static readonly string _pgm = "image/x-portable-graymap";

        /// <summary> *.pic </summary>
        public static readonly string _pic = "image/pict";

        /// <summary> *.pict </summary>
        public static readonly string _pict = "image/pict";

        /// <summary> *.pkgdef </summary>
        public static readonly string _pkgdef = "text/plain";

        /// <summary> *.pkgundef </summary>
        public static readonly string _pkgundef = "text/plain";

        /// <summary> *.pko </summary>
        public static readonly string _pko = "application/vnd.ms-pki.pko";

        /// <summary> *.pls </summary>
        public static readonly string _pls = "audio/scpls";

        /// <summary> *.pma </summary>
        public static readonly string _pma = "application/x-perfmon";

        /// <summary> *.pmc </summary>
        public static readonly string _pmc = "application/x-perfmon";

        /// <summary> *.pml </summary>
        public static readonly string _pml = "application/x-perfmon";

        /// <summary> *.pmr </summary>
        public static readonly string _pmr = "application/x-perfmon";

        /// <summary> *.pmw </summary>
        public static readonly string _pmw = "application/x-perfmon";

        /// <summary> *.png </summary>
        public static readonly string _png = "image/png";

        /// <summary> *.pnm </summary>
        public static readonly string _pnm = "image/x-portable-anymap";

        /// <summary> *.pnt </summary>
        public static readonly string _pnt = "image/x-macpaint";

        /// <summary> *.pntg </summary>
        public static readonly string _pntg = "image/x-macpaint";

        /// <summary> *.pnz </summary>
        public static readonly string _pnz = "image/png";

        /// <summary> *.pot </summary>
        public static readonly string _pot = "application/vnd.ms-powerpoint";

        /// <summary> *.potm </summary>
        public static readonly string _potm = "application/vnd.ms-powerpoint.template.macroEnabled.12";

        /// <summary> *.potx </summary>
        public static readonly string _potx = "application/vnd.openxmlformats-officedocument.presentationml.template";

        /// <summary> *.ppa </summary>
        public static readonly string _ppa = "application/vnd.ms-powerpoint";

        /// <summary> *.ppam </summary>
        public static readonly string _ppam = "application/vnd.ms-powerpoint.addin.macroEnabled.12";

        /// <summary> *.ppm </summary>
        public static readonly string _ppm = "image/x-portable-pixmap";

        /// <summary> *.pps </summary>
        public static readonly string _pps = "application/vnd.ms-powerpoint";

        /// <summary> *.ppsm </summary>
        public static readonly string _ppsm = "application/vnd.ms-powerpoint.slideshow.macroEnabled.12";

        /// <summary> *.ppsx </summary>
        public static readonly string _ppsx = "application/vnd.openxmlformats-officedocument.presentationml.slideshow";

        /// <summary> *.ppt </summary>
        public static readonly string _ppt = "application/vnd.ms-powerpoint";

        /// <summary> *.pptm </summary>
        public static readonly string _pptm = "application/vnd.ms-powerpoint.presentation.macroEnabled.12";

        /// <summary> *.pptx </summary>
        public static readonly string _pptx = "application/vnd.openxmlformats-officedocument.presentationml.presentation";

        /// <summary> *.prf </summary>
        public static readonly string _prf = "application/pics-rules";

        /// <summary> *.prm </summary>
        public static readonly string _prm = "application/octet-stream";

        /// <summary> *.prx </summary>
        public static readonly string _prx = "application/octet-stream";

        /// <summary> *.ps </summary>
        public static readonly string _ps = "application/postscript";

        /// <summary> *.psc1 </summary>
        public static readonly string _psc1 = "application/PowerShell";

        /// <summary> *.psd </summary>
        public static readonly string _psd = "application/octet-stream";

        /// <summary> *.psess </summary>
        public static readonly string _psess = "application/xml";

        /// <summary> *.psm </summary>
        public static readonly string _psm = "application/octet-stream";

        /// <summary> *.psp </summary>
        public static readonly string _psp = "application/octet-stream";

        /// <summary> *.pst </summary>
        public static readonly string _pst = "application/vnd.ms-outlook";

        /// <summary> *.pub </summary>
        public static readonly string _pub = "application/x-mspublisher";

        /// <summary> *.pwz </summary>
        public static readonly string _pwz = "application/vnd.ms-powerpoint";

        /// <summary> *.qht </summary>
        public static readonly string _qht = "text/x-html-insertion";

        /// <summary> *.qhtm </summary>
        public static readonly string _qhtm = "text/x-html-insertion";

        /// <summary> *.qt </summary>
        public static readonly string _qt = "video/quicktime";

        /// <summary> *.qti </summary>
        public static readonly string _qti = "image/x-quicktime";

        /// <summary> *.qtif </summary>
        public static readonly string _qtif = "image/x-quicktime";

        /// <summary> *.qtl </summary>
        public static readonly string _qtl = "application/x-quicktimeplayer";

        /// <summary> *.qxd </summary>
        public static readonly string _qxd = "application/octet-stream";

        /// <summary> *.ra </summary>
        public static readonly string _ra = "audio/x-pn-realaudio";

        /// <summary> *.ram </summary>
        public static readonly string _ram = "audio/x-pn-realaudio";

        /// <summary> *.rar </summary>
        public static readonly string _rar = "application/x-rar-compressed";

        /// <summary> *.ras </summary>
        public static readonly string _ras = "image/x-cmu-raster";

        /// <summary> *.rat </summary>
        public static readonly string _rat = "application/rat-file";

        /// <summary> *.rc </summary>
        public static readonly string _rc = "text/plain";

        /// <summary> *.rc2 </summary>
        public static readonly string _rc2 = "text/plain";

        /// <summary> *.rct </summary>
        public static readonly string _rct = "text/plain";

        /// <summary> *.rdlc </summary>
        public static readonly string _rdlc = "application/xml";

        /// <summary> *.reg </summary>
        public static readonly string _reg = "text/plain";

        /// <summary> *.resx </summary>
        public static readonly string _resx = "application/xml";

        /// <summary> *.rf </summary>
        public static readonly string _rf = "image/vnd.rn-realflash";

        /// <summary> *.rgb </summary>
        public static readonly string _rgb = "image/x-rgb";

        /// <summary> *.rgs </summary>
        public static readonly string _rgs = "text/plain";

        /// <summary> *.rm </summary>
        public static readonly string _rm = "application/vnd.rn-realmedia";

        /// <summary> *.rmi </summary>
        public static readonly string _rmi = "audio/mid";

        /// <summary> *.rmp </summary>
        public static readonly string _rmp = "application/vnd.rn-rn_music_package";

        /// <summary> *.roff </summary>
        public static readonly string _roff = "application/x-troff";

        /// <summary> *.rpm </summary>
        public static readonly string _rpm = "audio/x-pn-realaudio-plugin";

        /// <summary> *.rqy </summary>
        public static readonly string _rqy = "text/x-ms-rqy";

        /// <summary> *.rtf </summary>
        public static readonly string _rtf = "application/rtf";

        /// <summary> *.rtx </summary>
        public static readonly string _rtx = "text/richtext";

        /// <summary> *.rvt </summary>
        public static readonly string _rvt = "application/octet-stream";

        /// <summary> *.ruleset </summary>
        public static readonly string _ruleset = "application/xml";

        /// <summary> *.s </summary>
        public static readonly string _s = "text/plain";

        /// <summary> *.safariextz </summary>
        public static readonly string _safariextz = "application/x-safari-safariextz";

        /// <summary> *.scd </summary>
        public static readonly string _scd = "application/x-msschedule";

        /// <summary> *.scr </summary>
        public static readonly string _scr = "text/plain";

        /// <summary> *.sct </summary>
        public static readonly string _sct = "text/scriptlet";

        /// <summary> *.sd2 </summary>
        public static readonly string _sd2 = "audio/x-sd2";

        /// <summary> *.sdp </summary>
        public static readonly string _sdp = "application/sdp";

        /// <summary> *.sea </summary>
        public static readonly string _sea = "application/octet-stream";

        /// <summary> *.searchConnector-ms </summary>
        public static readonly string _searchConnector_ms = "application/windows-search-connector+xml";

        /// <summary> *.setpay </summary>
        public static readonly string _setpay = "application/set-payment-initiation";

        /// <summary> *.setreg </summary>
        public static readonly string _setreg = "application/set-registration-initiation";

        /// <summary> *.settings </summary>
        public static readonly string _settings = "application/xml";

        /// <summary> *.sgimb </summary>
        public static readonly string _sgimb = "application/x-sgimb";

        /// <summary> *.sgml </summary>
        public static readonly string _sgml = "text/sgml";

        /// <summary> *.sh </summary>
        public static readonly string _sh = "application/x-sh";

        /// <summary> *.shar </summary>
        public static readonly string _shar = "application/x-shar";

        /// <summary> *.shtml </summary>
        public static readonly string _shtml = "text/html";

        /// <summary> *.sit </summary>
        public static readonly string _sit = "application/x-stuffit";

        /// <summary> *.sitemap </summary>
        public static readonly string _sitemap = "application/xml";

        /// <summary> *.skin </summary>
        public static readonly string _skin = "application/xml";

        /// <summary> *.skp </summary>
        public static readonly string _skp = "application/x-koan";

        /// <summary> *.sldm </summary>
        public static readonly string _sldm = "application/vnd.ms-powerpoint.slide.macroEnabled.12";

        /// <summary> *.sldx </summary>
        public static readonly string _sldx = "application/vnd.openxmlformats-officedocument.presentationml.slide";

        /// <summary> *.slk </summary>
        public static readonly string _slk = "application/vnd.ms-excel";

        /// <summary> *.sln </summary>
        public static readonly string _sln = "text/plain";

        /// <summary> *.slupkg-ms </summary>
        public static readonly string _slupkg_ms = "application/x-ms-license";

        /// <summary> *.smd </summary>
        public static readonly string _smd = "audio/x-smd";

        /// <summary> *.smi </summary>
        public static readonly string _smi = "application/octet-stream";

        /// <summary> *.smx </summary>
        public static readonly string _smx = "audio/x-smd";

        /// <summary> *.smz </summary>
        public static readonly string _smz = "audio/x-smd";

        /// <summary> *.snd </summary>
        public static readonly string _snd = "audio/basic";

        /// <summary> *.snippet </summary>
        public static readonly string _snippet = "application/xml";

        /// <summary> *.snp </summary>
        public static readonly string _snp = "application/octet-stream";

        /// <summary> *.sol </summary>
        public static readonly string _sol = "text/plain";

        /// <summary> *.sor </summary>
        public static readonly string _sor = "text/plain";

        /// <summary> *.spc </summary>
        public static readonly string _spc = "application/x-pkcs7-certificates";

        /// <summary> *.spl </summary>
        public static readonly string _spl = "application/futuresplash";

        /// <summary> *.spx </summary>
        public static readonly string _spx = "audio/ogg";

        /// <summary> *.src </summary>
        public static readonly string _src = "application/x-wais-source";

        /// <summary> *.srf </summary>
        public static readonly string _srf = "text/plain";

        /// <summary> *.SSISDeploymentManifest </summary>
        public static readonly string _SSISDeploymentManifest = "text/xml";

        /// <summary> *.ssm </summary>
        public static readonly string _ssm = "application/streamingmedia";

        /// <summary> *.sst </summary>
        public static readonly string _sst = "application/vnd.ms-pki.certstore";

        /// <summary> *.stl </summary>
        public static readonly string _stl = "application/vnd.ms-pki.stl";

        /// <summary> *.sv4cpio </summary>
        public static readonly string _sv4cpio = "application/x-sv4cpio";

        /// <summary> *.sv4crc </summary>
        public static readonly string _sv4crc = "application/x-sv4crc";

        /// <summary> *.svc </summary>
        public static readonly string _svc = "application/xml";

        /// <summary> *.svg </summary>
        public static readonly string _svg = "image/svg+xml";

        /// <summary> *.swf </summary>
        public static readonly string _swf = "application/x-shockwave-flash";

        /// <summary> *.step </summary>
        public static readonly string _step = "application/step";

        /// <summary> *.stp </summary>
        public static readonly string _stp = "application/step";

        /// <summary> *.t </summary>
        public static readonly string _t = "application/x-troff";

        /// <summary> *.tar </summary>
        public static readonly string _tar = "application/x-tar";

        /// <summary> *.tcl </summary>
        public static readonly string _tcl = "application/x-tcl";

        /// <summary> *.testrunconfig </summary>
        public static readonly string _testrunconfig = "application/xml";

        /// <summary> *.testsettings </summary>
        public static readonly string _testsettings = "application/xml";

        /// <summary> *.tex </summary>
        public static readonly string _tex = "application/x-tex";

        /// <summary> *.texi </summary>
        public static readonly string _texi = "application/x-texinfo";

        /// <summary> *.texinfo </summary>
        public static readonly string _texinfo = "application/x-texinfo";

        /// <summary> *.tgz </summary>
        public static readonly string _tgz = "application/x-compressed";

        /// <summary> *.thmx </summary>
        public static readonly string _thmx = "application/vnd.ms-officetheme";

        /// <summary> *.thn </summary>
        public static readonly string _thn = "application/octet-stream";

        /// <summary> *.tif </summary>
        public static readonly string _tif = "image/tiff";

        /// <summary> *.tiff </summary>
        public static readonly string _tiff = "image/tiff";

        /// <summary> *.tlh </summary>
        public static readonly string _tlh = "text/plain";

        /// <summary> *.tli </summary>
        public static readonly string _tli = "text/plain";

        /// <summary> *.toc </summary>
        public static readonly string _toc = "application/octet-stream";

        /// <summary> *.tr </summary>
        public static readonly string _tr = "application/x-troff";

        /// <summary> *.trm </summary>
        public static readonly string _trm = "application/x-msterminal";

        /// <summary> *.trx </summary>
        public static readonly string _trx = "application/xml";

        /// <summary> *.ts </summary>
        public static readonly string _ts = "video/vnd.dlna.mpeg-tts";

        /// <summary> *.tsv </summary>
        public static readonly string _tsv = "text/tab-separated-values";

        /// <summary> *.ttf </summary>
        public static readonly string _ttf = "application/font-sfnt";

        /// <summary> *.tts </summary>
        public static readonly string _tts = "video/vnd.dlna.mpeg-tts";

        /// <summary> *.txt </summary>
        public static readonly string _txt = "text/plain";

        /// <summary> *.u32 </summary>
        public static readonly string _u32 = "application/octet-stream";

        /// <summary> *.uls </summary>
        public static readonly string _uls = "text/iuls";

        /// <summary> *.user </summary>
        public static readonly string _user = "text/plain";

        /// <summary> *.ustar </summary>
        public static readonly string _ustar = "application/x-ustar";

        /// <summary> *.vb </summary>
        public static readonly string _vb = "text/plain";

        /// <summary> *.vbdproj </summary>
        public static readonly string _vbdproj = "text/plain";

        /// <summary> *.vbk </summary>
        public static readonly string _vbk = "video/mpeg";

        /// <summary> *.vbproj </summary>
        public static readonly string _vbproj = "text/plain";

        /// <summary> *.vbs </summary>
        public static readonly string _vbs = "text/vbscript";

        /// <summary> *.vcf </summary>
        public static readonly string _vcf = "text/x-vcard";

        /// <summary> *.vcproj </summary>
        public static readonly string _vcproj = "application/xml";

        /// <summary> *.vcs </summary>
        public static readonly string _vcs = "text/plain";

        /// <summary> *.vcxproj </summary>
        public static readonly string _vcxproj = "application/xml";

        /// <summary> *.vddproj </summary>
        public static readonly string _vddproj = "text/plain";

        /// <summary> *.vdp </summary>
        public static readonly string _vdp = "text/plain";

        /// <summary> *.vdproj </summary>
        public static readonly string _vdproj = "text/plain";

        /// <summary> *.vdx </summary>
        public static readonly string _vdx = "application/vnd.ms-visio.viewer";

        /// <summary> *.vml </summary>
        public static readonly string _vml = "text/xml";

        /// <summary> *.vscontent </summary>
        public static readonly string _vscontent = "application/xml";

        /// <summary> *.vsct </summary>
        public static readonly string _vsct = "text/xml";

        /// <summary> *.vsd </summary>
        public static readonly string _vsd = "application/vnd.visio";

        /// <summary> *.vsi </summary>
        public static readonly string _vsi = "application/ms-vsi";

        /// <summary> *.vsix </summary>
        public static readonly string _vsix = "application/vsix";

        /// <summary> *.vsixlangpack </summary>
        public static readonly string _vsixlangpack = "text/xml";

        /// <summary> *.vsixmanifest </summary>
        public static readonly string _vsixmanifest = "text/xml";

        /// <summary> *.vsmdi </summary>
        public static readonly string _vsmdi = "application/xml";

        /// <summary> *.vspscc </summary>
        public static readonly string _vspscc = "text/plain";

        /// <summary> *.vss </summary>
        public static readonly string _vss = "application/vnd.visio";

        /// <summary> *.vsscc </summary>
        public static readonly string _vsscc = "text/plain";

        /// <summary> *.vssettings </summary>
        public static readonly string _vssettings = "text/xml";

        /// <summary> *.vssscc </summary>
        public static readonly string _vssscc = "text/plain";

        /// <summary> *.vst </summary>
        public static readonly string _vst = "application/vnd.visio";

        /// <summary> *.vstemplate </summary>
        public static readonly string _vstemplate = "text/xml";

        /// <summary> *.vsto </summary>
        public static readonly string _vsto = "application/x-ms-vsto";

        /// <summary> *.vsw </summary>
        public static readonly string _vsw = "application/vnd.visio";

        /// <summary> *.vsx </summary>
        public static readonly string _vsx = "application/vnd.visio";

        /// <summary> *.vtt </summary>
        public static readonly string _vtt = "text/vtt";

        /// <summary> *.vtx </summary>
        public static readonly string _vtx = "application/vnd.visio";

        /// <summary> *.wasm </summary>
        public static readonly string _wasm = "application/wasm";

        /// <summary> *.wav </summary>
        public static readonly string _wav = "audio/wav";

        /// <summary> *.wave </summary>
        public static readonly string _wave = "audio/wav";

        /// <summary> *.wax </summary>
        public static readonly string _wax = "audio/x-ms-wax";

        /// <summary> *.wbk </summary>
        public static readonly string _wbk = "application/msword";

        /// <summary> *.wbmp </summary>
        public static readonly string _wbmp = "image/vnd.wap.wbmp";

        /// <summary> *.wcm </summary>
        public static readonly string _wcm = "application/vnd.ms-works";

        /// <summary> *.wdb </summary>
        public static readonly string _wdb = "application/vnd.ms-works";

        /// <summary> *.wdp </summary>
        public static readonly string _wdp = "image/vnd.ms-photo";

        /// <summary> *.webarchive </summary>
        public static readonly string _webarchive = "application/x-safari-webarchive";

        /// <summary> *.webm </summary>
        public static readonly string _webm = "video/webm";

        /// <summary> *.webp </summary>
        public static readonly string _webp = "image/webp"; /* https://en.wikipedia.org/wiki/WebP */

        /// <summary> *.webtest </summary>
        public static readonly string _webtest = "application/xml";

        /// <summary> *.wiq </summary>
        public static readonly string _wiq = "application/xml";

        /// <summary> *.wiz </summary>
        public static readonly string _wiz = "application/msword";

        /// <summary> *.wks </summary>
        public static readonly string _wks = "application/vnd.ms-works";

        /// <summary> *.WLMP </summary>
        public static readonly string _WLMP = "application/wlmoviemaker";

        /// <summary> *.wlpginstall </summary>
        public static readonly string _wlpginstall = "application/x-wlpg-detect";

        /// <summary> *.wlpginstall3 </summary>
        public static readonly string _wlpginstall3 = "application/x-wlpg3-detect";

        /// <summary> *.wm </summary>
        public static readonly string _wm = "video/x-ms-wm";

        /// <summary> *.wma </summary>
        public static readonly string _wma = "audio/x-ms-wma";

        /// <summary> *.wmd </summary>
        public static readonly string _wmd = "application/x-ms-wmd";

        /// <summary> *.wmf </summary>
        public static readonly string _wmf = "application/x-msmetafile";

        /// <summary> *.wml </summary>
        public static readonly string _wml = "text/vnd.wap.wml";

        /// <summary> *.wmlc </summary>
        public static readonly string _wmlc = "application/vnd.wap.wmlc";

        /// <summary> *.wmls </summary>
        public static readonly string _wmls = "text/vnd.wap.wmlscript";

        /// <summary> *.wmlsc </summary>
        public static readonly string _wmlsc = "application/vnd.wap.wmlscriptc";

        /// <summary> *.wmp </summary>
        public static readonly string _wmp = "video/x-ms-wmp";

        /// <summary> *.wmv </summary>
        public static readonly string _wmv = "video/x-ms-wmv";

        /// <summary> *.wmx </summary>
        public static readonly string _wmx = "video/x-ms-wmx";

        /// <summary> *.wmz </summary>
        public static readonly string _wmz = "application/x-ms-wmz";

        /// <summary> *.woff </summary>
        public static readonly string _woff = "application/font-woff";

        /// <summary> *.woff2 </summary>
        public static readonly string _woff2 = "application/font-woff2";

        /// <summary> *.wpl </summary>
        public static readonly string _wpl = "application/vnd.ms-wpl";

        /// <summary> *.wps </summary>
        public static readonly string _wps = "application/vnd.ms-works";

        /// <summary> *.wri </summary>
        public static readonly string _wri = "application/x-mswrite";

        /// <summary> *.wrl </summary>
        public static readonly string _wrl = "x-world/x-vrml";

        /// <summary> *.wrz </summary>
        public static readonly string _wrz = "x-world/x-vrml";

        /// <summary> *.wsc </summary>
        public static readonly string _wsc = "text/scriptlet";

        /// <summary> *.wsdl </summary>
        public static readonly string _wsdl = "text/xml";

        /// <summary> *.wvx </summary>
        public static readonly string _wvx = "video/x-ms-wvx";

        /// <summary> *.x </summary>
        public static readonly string _x = "application/directx";

        /// <summary> *.xaf </summary>
        public static readonly string _xaf = "x-world/x-vrml";

        /// <summary> *.xaml </summary>
        public static readonly string _xaml = "application/xaml+xml";

        /// <summary> *.xap </summary>
        public static readonly string _xap = "application/x-silverlight-app";

        /// <summary> *.xbap </summary>
        public static readonly string _xbap = "application/x-ms-xbap";

        /// <summary> *.xbm </summary>
        public static readonly string _xbm = "image/x-xbitmap";

        /// <summary> *.xdr </summary>
        public static readonly string _xdr = "text/plain";

        /// <summary> *.xht </summary>
        public static readonly string _xht = "application/xhtml+xml";

        /// <summary> *.xhtml </summary>
        public static readonly string _xhtml = "application/xhtml+xml";

        /// <summary> *.xla </summary>
        public static readonly string _xla = "application/vnd.ms-excel";

        /// <summary> *.xlam </summary>
        public static readonly string _xlam = "application/vnd.ms-excel.addin.macroEnabled.12";

        /// <summary> *.xlc </summary>
        public static readonly string _xlc = "application/vnd.ms-excel";

        /// <summary> *.xld </summary>
        public static readonly string _xld = "application/vnd.ms-excel";

        /// <summary> *.xlk </summary>
        public static readonly string _xlk = "application/vnd.ms-excel";

        /// <summary> *.xll </summary>
        public static readonly string _xll = "application/vnd.ms-excel";

        /// <summary> *.xlm </summary>
        public static readonly string _xlm = "application/vnd.ms-excel";

        /// <summary> *.xls </summary>
        public static readonly string _xls = "application/vnd.ms-excel";

        /// <summary> *.xlsb </summary>
        public static readonly string _xlsb = "application/vnd.ms-excel.sheet.binary.macroEnabled.12";

        /// <summary> *.xlsm </summary>
        public static readonly string _xlsm = "application/vnd.ms-excel.sheet.macroEnabled.12";

        /// <summary> *.xlsx </summary>
        public static readonly string _xlsx = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet";

        /// <summary> *.xlt </summary>
        public static readonly string _xlt = "application/vnd.ms-excel";

        /// <summary> *.xltm </summary>
        public static readonly string _xltm = "application/vnd.ms-excel.template.macroEnabled.12";

        /// <summary> *.xltx </summary>
        public static readonly string _xltx = "application/vnd.openxmlformats-officedocument.spreadsheetml.template";

        /// <summary> *.xlw </summary>
        public static readonly string _xlw = "application/vnd.ms-excel";

        /// <summary> *.xml </summary>
        public static readonly string _xml = "text/xml";

        /// <summary> *.xmp </summary>
        public static readonly string _xmp = "application/octet-stream";

        /// <summary> *.xmta </summary>
        public static readonly string _xmta = "application/xml";

        /// <summary> *.xof </summary>
        public static readonly string _xof = "x-world/x-vrml";

        /// <summary> *.XOML </summary>
        public static readonly string _XOML = "text/plain";

        /// <summary> *.xpm </summary>
        public static readonly string _xpm = "image/x-xpixmap";

        /// <summary> *.xps </summary>
        public static readonly string _xps = "application/vnd.ms-xpsdocument";

        /// <summary> *.xrm-ms </summary>
        public static readonly string _xrm_ms = "text/xml";

        /// <summary> *.xsc </summary>
        public static readonly string _xsc = "application/xml";

        /// <summary> *.xsd </summary>
        public static readonly string _xsd = "text/xml";

        /// <summary> *.xsf </summary>
        public static readonly string _xsf = "text/xml";

        /// <summary> *.xsl </summary>
        public static readonly string _xsl = "text/xml";

        /// <summary> *.xslt </summary>
        public static readonly string _xslt = "text/xml";

        /// <summary> *.xsn </summary>
        public static readonly string _xsn = "application/octet-stream";

        /// <summary> *.xss </summary>
        public static readonly string _xss = "application/xml";

        /// <summary> *.xspf </summary>
        public static readonly string _xspf = "application/xspf+xml";

        /// <summary> *.xtp </summary>
        public static readonly string _xtp = "application/octet-stream";

        /// <summary> *.xwd </summary>
        public static readonly string _xwd = "image/x-xwindowdump";

        /// <summary> *.z </summary>
        public static readonly string _z = "application/x-compress";

        /// <summary> *.zip </summary>
        public static readonly string _zip = "application/zip";
    }
}